Get Site Pair Capabilities

Get Site Pair Capabilities
Get site pair capabilities

Retrieves capabilities available between two specific HCX sites (source and destination)

Request
URI
POST
https://{server}/hybridity/api/interconnect/capabilities/site-pair-capabilities
COPY
Query Parameters
string of array
feature_ids
Optional

Comma-separated list of feature IDs to filter capabilities

string of array
categories
Optional

Comma-separated list of categories to filter capabilities

string of array
depends_on_features
Optional

Find capabilities that depend on specified features


Request Body
site_pair_info of type(s) application/json
Required

Show optional properties

{
    "source_endpoint_id": "string",
    "dest_endpoint_id": "string"
}
{
    "source_endpoint_id": "string",
    "dest_endpoint_id": "string",
    "source_cp_id": "string",
    "dest_cp_id": "string",
    "source_uplink_ids": [
        "string"
    ],
    "dest_uplink_ids": [
        "string"
    ],
    "service_mesh_id": "string"
}
string
source_endpoint_id
Required

Endpoint ID of the source site (mandatory)

string
dest_endpoint_id
Required

Endpoint ID of the destination site (mandatory)

string
source_cp_id
Optional

Compute profile ID on the source site used by the serviceMesh(optional)

string
dest_cp_id
Optional

Compute profile ID on the destination site used by the serviceMesh(optional)

array of string
source_uplink_ids
Optional

uplink-network-ids on source site used by serviceMesh (If the uplinks are overridden then only overridden uplinkIds will be added in the array else the ones used in compute profile)

array of string
dest_uplink_ids
Optional

uplink-network-ids on destination site used by serviceMesh (If the uplinks are overridden then only overridden uplinkIds will be added in the array else the ones used in compute profile)

string
service_mesh_id
Optional

service_mesh_id if already present, may be an empty string (optional)

Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns site_pair_capabilities_response of type(s) application/json
{
    "site_pair_info": {
        "source_endpoint_id": "string",
        "dest_endpoint_id": "string",
        "source_cp_id": "string",
        "dest_cp_id": "string",
        "source_uplink_ids": [
            "string"
        ],
        "dest_uplink_ids": [
            "string"
        ],
        "service_mesh_id": "string"
    },
    "capabilities": [
        {
            "feature_id": "string",
            "feature_name": "string",
            "feature_type": "string",
            "category": "string",
            "is_available": false,
            "availability_message": "string",
            "reason_code": "string",
            "depends_on_features": [
                "string"
            ],
            "dependency_group": [
                "string"
            ]
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
site_pair_info
Optional

site_pair_info

array of object
capabilities
Optional

capabilities

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"source_endpoint_id":"string","dest_endpoint_id":"string"}' https://{api_host}/hybridity/api/interconnect/capabilities/site-pair-capabilities